import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:rw_voice/rw_voice.dart';

void main() {
  const MethodChannel channel = MethodChannel('rw_voice');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('voiceResult', () async {
    expect(await RwVoice.voiceResult(), '42');
  });
}
